function [ vLY, vLU, vLV, holesL, nShiftL ] = computeVVLeft(Yl, Ul, Vl, zInvL, height, width, f, l )
% Compute Virtual View Left (computeVVLeft) computes the virtual left view
% from the left image and the camera matrix
%   Detailed explanation goes here
%% Compute the virtual view left
[m1 n1] = size(Ul);
vLY(height, width) = double(zeros);
vLU(m1, n1) = double(zeros);
vLV(m1, n1) = double(zeros);
holesL(height, width) = zeros;
nShiftL(height, width) = double(zeros);

for i=1:height
    for j=1:width
        jj = round(j - zInvL(i, j) * f * l);
        if (jj <= width && jj > 0)
            ih = ceil(i/2);
            jh = ceil(jj/2);
            vLY(i, jj) = Yl(i,j);
            nShiftL(i,jj) = j;
            vLU(ih, jh) = Ul(ih, round(j/2));
            vLV(ih, jh) = Vl(ih, round(j/2));
            holesL(i, jj) = 1;
        end
    end
end
end

